from google.appengine.ext import db

class Tag(db.Model):
    UserId = db.StringProperty()
    TaggedAt = db.DateTimeProperty()
    Description = db.StringProperty()
    ApplicationId = db.StringProperty()

    Sheet007  = db.TextProperty()
    SheetMetadata_57c6581c_16d6_4515_9172_e1aa6e71e4a5  = db.TextProperty()
    SheetMetadata_5000  = db.TextProperty()
    SheetMetadata_0  = db.TextProperty()
    Sheet010  = db.TextProperty()
    Sheet011  = db.TextProperty()
    Sheet012  = db.TextProperty()
    Sheet013  = db.TextProperty()
    Sheet015  = db.TextProperty()
    Sheet016  = db.TextProperty()
    Sheet017  = db.TextProperty()
    Sheet018  = db.TextProperty()
    Sheet019  = db.TextProperty()
    SheetMetadata_e8e53292_16cf_4f52_a38a_65e529c0b207  = db.TextProperty()
    SheetMetadata_369dd38f_0296_41c6_a369_f4b12b7c2a78  = db.TextProperty()
    SheetMetadata_6d537f17_2de8_4dc2_969a_07f4abc02d93  = db.TextProperty()
    SheetMetadata_0287ba66_5aae_4597_8508_6bc1e819e243  = db.TextProperty()
    Sheet029  = db.TextProperty()
    Sheet028  = db.TextProperty()
    Sheet021  = db.TextProperty()
    Sheet020  = db.TextProperty()
    Sheet023  = db.TextProperty()
    Sheet022  = db.TextProperty()
    Sheet025  = db.TextProperty()
    Sheet024  = db.TextProperty()
    Sheet027  = db.TextProperty()
    Sheet026  = db.TextProperty()
    Sheet003  = db.TextProperty()
    Sheet002  = db.TextProperty()
    Sheet001  = db.TextProperty()
    SheetMetadata_d212c15a_ef98_4ec2_a2e9_3517f63dfbb4  = db.TextProperty()
    Sheet006  = db.TextProperty()
    Sheet005  = db.TextProperty()
    Sheet009  = db.TextProperty()
    Sheet008  = db.TextProperty()
    Sheet033  = db.TextProperty()
    SheetMetadata_606  = db.TextProperty()
    SheetMetadata_300  = db.TextProperty()
    Sheet034  = db.TextProperty()
    Sheet035  = db.TextProperty()
    Sheet032  = db.TextProperty()
    SheetMetadata_ed7bc981_d7c5_49c4_bb8d_4a0f7a79a266  = db.TextProperty()
    Sheet030  = db.TextProperty()
    Sheet031  = db.TextProperty()
    SheetMetadata_451  = db.TextProperty()
    SheetMetadata_ec3f229c_327b_443b_88d7_0ca275dc42a0  = db.TextProperty()
    SheetMetadata_5138  = db.TextProperty()
    SheetMetadata_5279  = db.TextProperty()


class CellMetadataTag(db.Model):
    tag = db.ReferenceProperty(Tag)
    Sheet004  = db.TextProperty()

class GridCellTag(db.Model):
    tag = db.ReferenceProperty(Tag)
    Sheet014  = db.TextProperty()
